<template>
  <div class="full" :class="{ me }">
    <div class="answer" :class="{ me }">
      <div v-if="loading" class="loading">
        <div></div>
        <div></div>
        <div></div>
      </div>
      <div v-else-if="main" class="main">
        <IconAiMini v-if="main" />
        <p>
          {{ message }}
        </p>
      </div>
      <template v-else>
        {{ message }}
      </template>
    </div>
  </div>
</template>

<script lang="ts" setup>
import type { DialogType } from '@/types'
import IconAiMini from '../components/IconAiMini.vue'

defineProps<DialogType>()
</script>

<style scoped lang="scss">
.main {
  display: flex;
  gap: 10px;
}
.full {
  width: 100%;
  display: flex;
  &.me {
    justify-content: end;
  }
}
.loading {
  display: flex;
  gap: 10px;
  & > div {
    background-color: #e0ded9;
    width: 12px;
    height: 12px;
    border-radius: 100%;
  }
}
.answer {
  border: 1px solid #ccc;
    color: #333;
  background-color: #fff;
  padding: 16px 24px 16px 24px;
  max-width: 463px;
  border-radius: 14px 14px 14px 0;

  &.me {
    border-radius: 14px 14px 0 14px;
  }
}
</style>
